stages:
  - install
  - test

install:
  stage: install
  image: node:latest
  script:
    - npm install
  artifacts:
    name: 'artifacts'
    untracked: true
    expire_in: 30 mins
    paths:
      - .npm/
      - node_modules/

test:
  stage: test
  image: node:latest
  script:
    - npm run test
  dependencies:
    - install
